Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.getcapabilities
Class OGCStandardCapabilitiesDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
                  org.deegree.ogcwebservices.getcapabilities.OGCStandardCapabilitiesDocument

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WCSCapabilitiesDocument

    public abstract class OGCStandardCapabilitiesDocument

extends OGCCapabilitiesDocument

Since:
  2.0
Version:
  1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary
`protected static URI` | `GMLNS`
`protected static URI` | `OGCNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`OGCStandardCapabilitiesDocument()`

Method Summary
`Capability` | `getCapabilitySection(URI namespaceURI)` returns the service section of the configuration/capabilities. vendorspecific capabilities are not supported yet
`protected DCPType` | `getDCPType(Element element, URI namespaceURI)` Creates a `DCPType` object from the passed `DCPType` element.
`protected DCPType[]` | `getDCPTypes(ElementList el, URI namespaceURI)` Creates an array of `DCPType` objects from the passed element list.
`protected ExceptionFormat` | `getExceptionFormat(Element element, URI namespaceURI)` Creates an `ExceptionFormat` instance from the passed element.
`protected MetadataLink` | `parseMetadataLink(Element element)` creates a `MetadataLink` object from the passed element.
`protected abstract OperationsMetadata` | `parseOperations(Element element, URI namespaceURI)` creates a `Request` object (instance of WCSCapabilityRequest) from the passed element encapsulating the Request part of the WCS Capabiliy section
`String` | `parseVersion()` returns the value of the version attribute of the capabilities document

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`parseAddress, parseCapabilities, parsePhone, parseUpdateSequence`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OGCNS

    protected static final URI OGCNS

### GMLNS

    protected static final URI GMLNS

Constructor Detail

### OGCStandardCapabilitiesDocument

    public OGCStandardCapabilitiesDocument()

Method Detail

### parseVersion

    public String parseVersion()

  returns the value of the version attribute of the capabilities document

  Overrides:
    `parseVersion` in class `OGCCapabilitiesDocument`
  Returns:
    the value of the version attribute of the capabilities document

### getCapabilitySection

    public Capability getCapabilitySection(URI namespaceURI)
                                    throws InvalidCapabilitiesException

  returns the service section of the configuration/capabilities. vendorspecific capabilities are not supported yet

  Parameters:
    `namespaceURI` -
  Returns:
    the service section of the configuration/capabilities. vendorspecific capabilities are not supported yet
  Throws:
    `InvalidCapabilitiesException`

### parseOperations

    protected abstract OperationsMetadata parseOperations(Element element,
                                                          URI namespaceURI)
                                                   throws XMLParsingException

  creates a `Request` object (instance of WCSCapabilityRequest) from the passed element encapsulating the Request part of the WCS Capabiliy section

  Parameters:
    `element` -
  Returns:
    created `Request`
  Throws:
    `XMLParsingException`

### parseMetadataLink

    protected MetadataLink parseMetadataLink(Element element)
                                      throws XMLParsingException

  creates a `MetadataLink` object from the passed element.

  Overrides:
    `parseMetadataLink` in class `OGCCapabilitiesDocument`
  Parameters:
    `element` -
  Returns:
    created `MetadataLink`
  Throws:
    `XMLParsingException`

### getExceptionFormat

    protected ExceptionFormat getExceptionFormat(Element element,
                                                 URI namespaceURI)

  Creates an `ExceptionFormat` instance from the passed element.

  Parameters:
    `element` -
  Returns:
    the new instance

### getDCPType

    protected DCPType getDCPType(Element element,
                                 URI namespaceURI)
                          throws XMLParsingException

  Creates a `DCPType` object from the passed `DCPType` element.

  NOTE: Currently the `OnlineResources` included in the `DCPType` are just stored as simple `URLs` (not as `OnLineResource` instances)!

  NOTE: In an `OGCStandardCapabilitiesDocument` the `XLinks` (the `URLs`) are stored in separate elements (`OnlineResource`), in an `OGCCommonCapabilitiesDocument` they are the `Get`/`Post` elements themselves.``

  Parameters:
    `element` -
    `namespaceURI` -
  Returns:
    created `DCPType`
  Throws:
    `XMLParsingException`
  See Also:
    `OWSCommonCapabilities`

### getDCPTypes

    protected DCPType[] getDCPTypes(ElementList el,
                                    URI namespaceURI)
                             throws XMLParsingException

  Creates an array of `DCPType` objects from the passed element list. NOTE: Currently the `OnlineResources` included in the `DCPType` are just stored as simple `URLs` (not as `OnLineResource` instances)!

  Parameters:
    `el` -
    `namespaceURI` -
  Returns:
    the dcp types
  Throws:
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org